Bug 183967 - bootloader installs on MBR even if not selected and can't be recovered from a 5.3 rescue cd because of mapper devices
bootloader installs on MBR even if not selected and can't be recovered from a...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2006-03-04 02:59 EST by Juergen Bullinger
Modified: 2008-03-10 21:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 21:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juergen Bullinger 2006-03-04 02:59:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I use Fedora since FC2. Fedora is a really great product. As soon as it is installed. AS SOON AS and IF....

The current installer of the bootloader is IMHO far from optimal. One of the reasons is probably the mapper stuff which u use since fedora core 5. I guess in FC4 you didn't use this.
Because of this wrapper stuff it seems to be impossible even to reinstall grub from an existing linux partition using the resuce disc. I had problems after installing fc5.3 in three ways:

1. FC 5.3 installed the bootloader on my MBR although ein selected the install on the partition on which I installed fc 5.3

2. FC 5.3 produced a kernel panic on boot (I field this separately)

3. using the FC 5.3 cd and booting as rescue cd I couldn't even just reinstall the the old grub installation on my MBR which chainloads other partition, so my computer was not usable at all anymore

Gladly I still had a FC4 install set and used this as a rescue cd. With FC4 I finally could recover my MBR bootloader config.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install fc5.3 x86_64 from cd
2. setup the bootloader config and select "additional options" or customize or how you call it
3. select the radiobutton to install the bootloader in the partition on which you install fc5.3
4. reboot

  

Actual Results:  the bootloader config overwrites the mbr which should not happen in this case and fc 5.3 doesn't boot because of a kernel panic

Expected Results:  it should be possible to only install the bootloader in the install partition. To provide the option, that it is installed in both the mbr and the partition is generally a good idea.

The other thing is, please provide a user friendly method to recover the boot loader config from your resuce cd. IMHO the rescue cd should boot and bring up a menu to do some of the things which need to be done often from a rescue cd. This could look like:

1 install bootloader
2 change root password
3 ....some other usefull stuff...
9 exit a shell

so the shell would only be opened if the user wants to.


Another idea: currently (it was also in fc4) if you boot from an install cd and select update on a partition which already contains the same or even never versions as on the cd, the install cd refuses to update the bootloader. It would really be much more convenient for the user if can choose to install the bootloader anyway.

Probably you don't understand what this all means for a user. Without exaggerating I can say that I already wasted hours and maybe even days because bootloader configs are destroyed. Sometimes maybe because I didn't pay attention, but sometimes for other reasons. I already wasted a lot of time when I had FC4 until I found out how to recover it (--recheck-option etc). In fc5 this methods don't work anymore, because of this wrapper stuff.
I can't tell you anymore how often I gave up in the end and reinstalled the whole stuff again. If that happens to a less experienced user than me who most likely doesn't backup all the relevant files (/etc eg) on regular bases he could choose to switch to another linux distro or even to drop linux completely.


Additional info:
Comment 1 Matthew Miller 2007-04-06 15:15:51 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 petrosyan 2008-03-10 21:04:36 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.